API referenceLogs

Retrieve an API request log

GET/logs/{id}

Resend's log shape; request_body and response_body are always null because bodies are not stored.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/logs/string"
{  "object": "log",  "id": "string",  "method": "string",  "path": "string",  "endpoint": "string",  "status": -9007199254740991,  "response_status": -9007199254740991,  "duration_ms": 0,  "api_key_id": "string",  "request_id": "string",  "user_agent": "string",  "ip_address": "string",  "created_at": "2019-08-24T14:15:22Z",  "request_body": null,  "response_body": null}